Basque Cyber Security Centre - Zibersegurtasun Euskal Zentroa

Hainbat ahultasun Jenkins-en

Argitalpen data: 2018/07/19

Garrantzia: Handia

Kaltetutako baliabideak:

Jenkinsen 2.133 bertsioa baino lehenagoko guztiak eta Jenkins LTSren 2.121.2 bertsioa baino lehenagoko guztiak.

Azalpena:

Jenkins proiektuen automatizazio eta hedatze softwarean dauden hainbat ahultasunen berri eman da. Urruneko erasotzaile batek ahultasun horiek balia litzake fitxategi arbitrarioak irakurtzeko, konfigurazioak berrezartzeko, egiten ari diren lanak eteteko edo aplikazioan XSS erako ahultasun bat eragiteko.

Konponbidea:

Jenkinsen 2.133 eta Jenkins TLSren 2.121.2 bertsioetara eguneratzea gomendatzen da.

Xehetasuna:

Kritikotasun altuko ondoko ahultasunak argitaratu dira:

  • SECURITY-897: Ahultasun hau baliatuz autentifikatu gabeko erabiltzaileek asmo gaiztoz sortutako saio hasierarako kredentzialak erabil litzakete, eta horren bitartez eragin lezakete Jenkinsek config.xml fitxategia mugitzea Jenkinsen hasierako direktoriotik. Konfigurazio fitxategi honek Jenkinsen oinarrizko konfigurazioa dauka, segurtasun alderdiak barne. Jenkins fitxategi hori gabe abiatzen bada, heredatutako balio lehenetsietara itzuliko da eta erabiltzaile anonimoei administratzaile sarbidea emango die.
  • SECURITY-914: Jenkinsek erabiltzen duen Stapler-en web frameworkean fitxategien irakurketa arbitrario erako ahultasun bat aurkitu da. Horrek autentifikatu gabeko erabiltzaileei ahalbidetuko lieke HTTP eskaera manipulatuak bidaltzea eta Jenkinsen prozesuak sarbidea duen Jenkinsen nagusi sistemako edozein fitxategitako edukia eskuratzea.

Kritikotasun ertaineko beste ahultasun batzuk ere argitaratu dira, honako identifikatzaile hauekin: SECURITY-891, SECURITY-892, SECURITY-944, SECURITY-925 eta SECURITY-390.

Etiketak: Eguneraketa, Ahultasuna